Payment Links
Implement Thematic Changes in Payment Links Checkout Section
Customise the Checkout UI in the Payment Links payment request page using Razorpay APIs. Hide the top bar and prevent customers from choosing a different payment method.
POST
Available in🇮🇳 India🇸🇬 Singapore🇺🇸 United States
Use this endpoint to modify the top bar theme element of the Checkout UI on the payment request page. This restricts customers from navigating to the initial screen of Checkout and selecting a different payment method.
Request Parameters
integer
required
Amount to be paid using the Payment Link. Must be in the smallest unit of the currency. For example, if you want to receive a payment of , you must enter the value
30000. In the case of three decimal currencies, such as KWD, BHD and OMR, to refund a payment of 295.991, pass the value as 295990. And in the case of zero decimal currencies such as JPY, to refund a payment of 295, pass the value as 295.string
A three-letter ISO code for the currency in which you want to accept the payment. For example, INR. Refer to the list of supported currencies.
Handy TipsRazorpay has added support for zero decimal currencies, such as JPY, and three decimal currencies, such as KWD, BHD, and OMR, allowing businesses to accept international payments in these currencies. Know more about Currency Conversion (May 2024).
boolean
Indicates whether customers can make partial payments using the Payment Link. Possible values:
true: Customer can make partial payments.false(default): Customer cannot make partial payments.
integer
required
Minimum amount, in currency subunits, that must be paid by the customer as the first partial payment. Default value is
100. Default currency is INR. For example, if an amount of is to be received from the customer in two installments of #1 - , #2 - , then you can set this value as 500000. Must be passed along with accept_partial parameter.boolean
required
Must be set to
true for creating UPI Payment Link. If the upi_link parameter is not passed or passed with value as false, a Standard Payment Link will be created. Possible values:true: Creates a UPI Payment Link.false: Creates a Standard Payment Link.
string
A brief description of the Payment Link. The maximum character limit supported is 2048.
string
Reference number tagged to a Payment Link. Must be a unique number for each Payment Link. The maximum character limit supported is 40.
json object
Customer details
string
The customer’s name.
string
The customer’s email address.
string
The customer’s phone number.
integer
Timestamp, in Unix, at which the Payment Link will expire. By default, a Payment Link will be valid for six months from the date of creation. Please note that the expire by date cannot exceed more than six months from the date of creation.
array
Defines who handles Payment Link notification.
boolean
Defines who handles the SMS notification. Possible values:
true: Razorpay handles the notification.false: You handle the notification.
boolean
Defines who handles the email notification. Possible values:
true: Razorpay handles the notification.false: You handle the notification.
json object
Key-value pair that can be used to store additional information about the entity. Maximum 15 key-value pairs, 256 characters (maximum) each. For example,
"note_key": "Payment Link for Groceries.”.string
If specified, adds a redirect URL to the Payment Link. Once customers completes the payment, they are redirected to the specified URL.
Handy TipsIf the
callback_url is passed, it must be passed in the correct format. That is, it should contain a URL.string
required
If
callback_url parameter is passed, callback_method must be passed with the value get.boolean
Used to send reminders for the Payment Link. Possible values:
true: To send reminders.false: To disable reminders.
array
Options to show or hide the top bar. Parent parameter under which the
checkout and theme child parameters must be passed.array
required
The parameter for the Checkout section.
array
Modifies the thematic elements of Checkout.
boolean
required
Used to display or hide the top bar on the Checkout. This bar shows the selected payment method, phone number and gives the customer the option to navigate to the initial Checkout screen and change the payment method. Possible values are:
true: Hides the top bar.false(default): Displays the top bar.
Response Parameters
boolean
Indicates whether customers can make partial payments using the Payment Link. Possible values:
true: Customer can make partial payments.false(default): Customer cannot make partial payments.
integer
Amount to be paid using the Payment Link. Must be in the smallest unit of the currency. For example, if you want to receive a payment of , you must enter the value
30000. In the case of three decimal currencies, such as KWD, BHD and OMR, to refund a payment of 295.991, pass the value as 295990. And in the case of zero decimal currencies such as JPY, to refund a payment of 295, pass the value as 295.integer
Amount paid by the customer.
string
If specified, adds a redirect URL to the Payment Link. Once the customer completes the payment, they are redirected to the specified URL.
string
If
callback_url parameter is passed, callback_method must be passed with the value get.integer
Timestamp, in Unix, at which the Payment Link was cancelled by you.
integer
Timestamp, in Unix, indicating when the Payment Link was created.
string
Defaults to INR. We accept payments in international currencies.
Handy TipsRazorpay has added support for zero decimal currencies, such as JPY, and three decimal currencies, such as KWD, BHD, and OMR, allowing businesses to accept international payments in these currencies. Know more about Currency Conversion (May 2024).
json object
Customer details.
string
The customer’s name.
string
The customer’s email address.
string
The customer’s phone number.
string
A brief description of the Payment Link.
integer
Timestamp, in Unix, when the Payment Link will expire. By default, a Payment Link will be valid for six months from the date of creation. Please note that the expire by date cannot exceed more than six months from the date of creation.
integer
Timestamp, in Unix, at which the Payment Link expired.
integer
Minimum amount that must be paid by the customer as the first partial payment. For example, if an amount of is to be received from the customer in two installments of #1 - , #2 - , then you can set this value as
500000.string
Unique identifier of the Payment Link. For example,
plink_ERgihyaAAC0VNW.boolean
Indicates whether the Payment Link is a UPI Payment Link.
true: A UPI Payment Link has been created.false: It is a Standard Payment Link.
object
Set of key-value pairs that you can use to store additional information. You (Businesses) can enter a maximum of 15 key-value pairs, with each value having a maximum limit of 256 characters.
array
Defines who handles Payment Link notification.
boolean
Defines who handles the SMS notification.
true: Razorpay handles the notification.false: Businesses handle the notification.
boolean
Defines who handles the email notification.
true: Razorpay handles the notification.false: Businesses handle the notification.
array
Payment details such as amount, payment id, Payment Link id and more are stored in this array. It is populated only after a payment is successfully captured by the customer. Only captured payments will be shown here. Until then, the value is
null.integer
The amount paid by the customer using the Payment Link.
integer
Timestamp, in Unix, indicating when the payment was made.
string
The payment method used to make the payment. Possible values:
netbankingcardwalletupiemibank_transfer
string
Unique identifier of the payment made against the Payment Link.
string
Unique identifier of the Payment Link. For example,
plink_ERgihyaAAC0VNW.string
The payment state. Possible value is
captured.integer
Timestamp, in Unix, indicating when the payment was updated.
string
Reference number tagged to a Payment Link. Must be a unique number for each Payment Link. The maximum character limit supported is 40.
string
The unique short URL generated for the Payment Link.
string
Displays the current state of the Payment Link. Possible values:
createdpartially_paidexpiredcancelledpaid
integer
Timestamp, in Unix, indicating when the Payment Link was updated.
boolean
Used to send reminders for the Payment Link. Possible values:
true: To send reminders.false: To disable reminders.
string
A unique identifier for the user role through which the Payment Link was created. For example,
HD1JAKCCPGDfRx.Errors
The api {key/secret} provided is invalid
The api {key/secret} provided is invalid
Code:
4xxThere is a mismatch between the API credentials passed in the API call and the API credentials generated on the Dashboard.Solution: Make sure that:- The API Keys are active and entered correctly.
- There are no white-spaces before or after the keys.
The {input field} is required
The {input field} is required
Code:
4xxA mandatory field is empty.Solution: Ensure all mandatory fields and values are present.wrong input fields sent.
wrong input fields sent.
Code:
400When wrong input fields are sent during Payment Link creation.Solution: Ensure that the input fields are added correctly. Refer to these request parameters on how to add correct input fields.payment link creation with reference ID already attempted
payment link creation with reference ID already attempted
Code:
400An existing reference id has been passed.Solution: Ensure that a unique reference id is used for all Payment Links.timestamp must be atleast 15 minutes in future
timestamp must be atleast 15 minutes in future
Code:
400The epoch time passed is less than 15 minutes from the current time.Solution: The close_by time should be more than 15 minutes from the current time.Invalid access: Cannot create a payment link in live mode, as live mode is disabled for merchant.
Invalid access: Cannot create a payment link in live mode, as live mode is disabled for merchant.
Code:
400Occurs when you try to create a Payment Link in Live mode, but live mode is disabled for youSolution: Raise a request to our support team to get live mode enabled for you.Invalid access: Cannot create a payment link, as Merchant is Suspended.
Invalid access: Cannot create a payment link, as Merchant is Suspended.
Code:
400Occurs when you try to create a Payment Link when you have been suspended.Solution: Raise a request to our support team to be reinstated.value: the length must not be greater than 255.
value: the length must not be greater than 255.
Code:
400When the notes length is greater than 255 characters during Payment Link creation.Solution: Please create a payment link with notes values less than 255 characters.